Aerovy Platform logo

List sites

GEThttps://spectra.api.aerovy.com/v2/sites

Lists the sites for the calling organization. Requires an API key with the read action. Returns all sites when no pagination params are supplied, otherwise a single page.

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Query Parameters

continuationTokenstring

Opaque token from a prior page; omit for the first page.

limitinteger | string<int32>

Page size; omit (with no token) to return all sites.

Pattern: ^-?(?:0|[1-9]\d*)$

Response

application/json

The sites (a bare array, or a paginated envelope when paginating).

itemsarray<object>
items.placeIdstringrequired
items.orgIdstringrequired
items.tenantIdstringrequired
items.siteNamestringrequired
items.addressstring
items.latitudenumber | string<double>
Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
items.longitudenumber | string<double>
Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
items.integrationIdsarray<string>
items.levelTypesobject
items.levelGroupsarray<object>
items.attributesobject
items.preferredDisplayMetricsarray<string>
items.createdAtstring<date-time>required
items.updatedAtnull | string<date-time>
items.createdBystringrequired
items.updatedBynull | string
continuationTokennull | string
hasMoreboolean